# gcp::Target Class Reference

`#include <target.h>`

Inheritance diagram for gcp::Target:

List of all members.

## Public Member Functions

| Target (Application *App)
virtual | ~Target ()
void | SetWindow (GtkWindow *window)
virtual bool | Close ()=0
Application * | GetApplication (void)

## Protected Attributes

Application * | m_Application
Document * | m_Document

## Detailed Description

The base class for windows able to edit GChemPaint files. When one of these windows is active, the tools box is displayed on the same desktop. gcp::Window is a derived class. Another one is gcpResidueDialog implemented in the residue plugin (but not documented like everything implemented in plugins).

Definition at line 45 of file target.h.

## Constructor & Destructor Documentation

gcp::Target::Target | ( | Application * | App | ) |

Parameters:

  | App | the application owning the target.

Creates a target for the application.

virtual gcp::Target::~Target | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

void gcp::Target::SetWindow | ( | GtkWindow * | window | ) |

Parameters:

  | window | a GtkWindow.

Sets window as the GtkWindow for this target.

virtual bool gcp::Target::Close | ( |  | ) | `[pure virtual]`

virtual method called when the application ends to ensure everything is correctly closed. This is a pure virtual class, so it must be overloaded.

Implemented in gcp::Window.

gcp::Target::GetApplication | ( | void |  | ) | `[inline]`

Returns:
  the gcp::Application owning this target.

  the gcp::Document displayed in this target window.

Definition at line 77 of file target.h.

## Member Data Documentation

gcp::Target::m_Application `[protected]`

The gcp::Application owning this target.

Definition at line 77 of file target.h.

gcp::Target::m_Document `[protected]`

The gcp::Document displayed in this target window.

Definition at line 84 of file target.h.

The documentation for this class was generated from the following file:

- target.h